Page MenuHomePhabricator

Requesting access for SemanticACL extension
Closed, ResolvedPublic

Description

Hello, the SemanticACL extension has been in an unmaintained state for quite some time and I've endeavored to get it working again for our wiki.

Thank you.

Event Timeline

Tinss created this task.Sep 28 2019, 11:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2019, 11:53 AM

This task has been sitting here for two weeks now, without comments. https://www.mediawiki.org/wiki/Gerrit/Privilege_policy says:

Developers commenting on a privilege request should consider whether the applicant has contributed high quality patches, has exercised +1 rights well, and has demonstrated competence. Negative comments should be written with tact, they should not be overly strident.
If there is a consensus of trusted developers on the Phabricator task, any of the Gerrit administrators can resolve the request. The task must remain open for at least a week, to allow interested developers to comment. Additional time should be allowed if the request is open during travel or holiday periods.
If there is no consensus on a request in Phabricator, it may be referred to TechCom for adjudication.

Which makes me wonder: Do any Gerrit administrators watch Gerrit-Privilege-Requests? If yes, is everyone busy and hoping for someone else to comment or make a decision on this task? :)
Or how to broaden the base who could comment here? Is the task author implicitly supposed to also send a heads-up to [wikitech-l@](https://lists.wikimedia.org/mailman/listinfo/wikitech-l) or stuff like that?

Also, the link https://gerrit.wikimedia.org/r/#/admin/groups/1,members only lists the general address noc@, so nobody can find out who to potentially contact.

CC'ing members and watchers of Gerrit-Privilege-Requests plus policy authors, as this looks like a potential bottleneck to enabling developers to get stuff done.

https://gerrit.wikimedia.org/r/#/admin/groups/199,info is the group that controls access to the extension so I as gerrit manager cannot either grant the access. Qui tacet consentire videtur doesn't apply either as it requires some sort of consensus before granting so if the task is silent that doesn't mean, by my reading, that access can be granted. I'm refering this to TechCom as I've done in the past with this kind of requests.

Thanks MarcoAurelio!

Hello TechCom - this one is waiting from decision/action from you. Thank you!

Dzahn added a subscriber: Dzahn.Oct 31 2019, 7:06 PM

..Do any Gerrit administrators watch Gerrit-Privilege-Requests?

Given that the tag has only one member and one watcher and i think both are not Gerrit admins, i think no, nobody is watching it. Maybe it needed more promotion when the tag was created.

Besides that i think the main problem is people are unsure whether they have the authority to do such changes by themselves or what the process is to get requests approved.

Or how to broaden the base who could comment here?

I think a mail to all existing admins to once talk about the process for access requests and who is expected to handle the tickets / something rotating like for shell access requests?

Is the task author implicitly supposed to also send a heads-up to [wikitech-l@](https://lists.wikimedia.org/mailman/listinfo/wikitech-l) or stuff like that?

Nah, i don't think so. But we could make a mail alias gerritadmins@ if people really say they prefer email notifications over Phab. I would vote for Phab-only and browser based notifications though.

Also, the link https://gerrit.wikimedia.org/r/#/admin/groups/1,members only lists the general address noc@, so nobody can find out who to potentially contact.

See above, technically we could make an alias that forwards to all or a shared inbox. The advantage would be only actual Gerrit admins get the mail and not all root users. For the reporter though it feels the same. We should stay away from making a list of people on some Wikitech page who then get individual emails though.

Phabricator tag is the way to go, we just need agreement that admins watch it.

Dzahn added a comment.Oct 31 2019, 7:09 PM

If there is a consensus of trusted developers on the Phabricator task, any of the Gerrit administrators can resolve the request.

All that being said above about admins, there aren't really any comments from trusted developers on this task, so admins would have to wait for these before acting.

If there is a consensus of trusted developers on the Phabricator task, any of the Gerrit administrators can resolve the request.

All that being said above about admins, there aren't really any comments from trusted developers on this task, so admins would have to wait for these before acting.

No. That would stall several requests because no one would have commented. That's why the policy says:

If there is no consensus on a request in Phabricator, it may be referred to TechCom for adjudication.

I made the referral at T234124#5570172 after roughly a month this request was made. Yet TechCom has not actioned this yet.

+1, the fork on github appears to be maintained nicely.

Also, the link https://gerrit.wikimedia.org/r/#/admin/groups/1,members only lists the general address noc@, so nobody can find out who to potentially contact.

For the record, https://tools.wmflabs.org/ldap/group/gerritadmin shows gerrit admins.

For the record, https://tools.wmflabs.org/ldap/group/gerritadmin shows gerrit admins.

Nevertheless, please let's fix the Phabricator situation and not encourage people to ping individuals from that list instead.

Sure, just wanted to inform generally :-).

tstarling closed this task as Resolved.Nov 1 2019, 2:35 AM
tstarling claimed this task.

In general it would be nice if at least one developer could endorse a person before a ticket is escalated to the admins or TechCom. I see that @mmodell has finally done so, so I'm closing this.

@Tinss: you now have +2 rights in that extension.

Thanks @tstarling for promoting @Tinss and for the clarification re. when to escalate a request to TechCom. Best regards.

Tinss added a comment.Nov 2 2019, 11:35 PM

Thanks a bunch everyone!